Page MenuHomePhabricator

Introduction to test driven development
Closed, ResolvedPublic

Description

The session is divided in two parts.

Part 1: Learning (20 Min)

In the first part you learn about the different testing infrastructures in the Wikimedia eco system exemplified using the math rendering feature. This includes the concepts of

@WMDE-Fisch @Physikerwelt prepare slides

Part 2: Doing

In the second phase, you will apply your theoretical skills on a real world bugs (TODO: Link simple test coverage extension or browser testing bugs here)

@WMDE-leszek : collect some examples, maybe find A/B testing code

Newcomer friendly: yes
Session Context: skill-share
Needs: Tables, powerplugs, projector, internet connection
Organizers: @Physikerwelt, @WMDE-leszek, @WMDE-Fisch

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2018, 3:34 PM
Physikerwelt renamed this task from Session: Testing to Introduction to test driven development.Mar 14 2018, 1:33 PM
Physikerwelt updated the task description. (Show Details)
Physikerwelt added a subscriber: Bmueller.
Physikerwelt triaged this task as Medium priority.Mar 14 2018, 5:00 PM
Physikerwelt updated the task description. (Show Details)
Physikerwelt added a subscriber: WMDE-Fisch.
Physikerwelt updated the task description. (Show Details)Mar 16 2018, 1:19 PM
Cparle added a subscriber: Cparle.Mar 20 2018, 11:45 AM

Making sure that you see that you are now able to schedule your sessions on the hackathon program :)
https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2018/Program#Friday_18_May_2018

Please let me know when you add this session to the program. I will try to schedule T190046: Write Selenium tests in JavaScript/Node.js workshop after it.

We agreed on Saturday 10 am. https://www.mediawiki.org/w/index.php?title=Wikimedia_Hackathon_2018%2FProgram&type=revision&diff=2776248&oldid=2776182 The room is subject to change depending on the number of expected participants.

We agreed on Saturday 10 am. https://www.mediawiki.org/w/index.php?title=Wikimedia_Hackathon_2018%2FProgram&type=revision&diff=2776248&oldid=2776182 The room is subject to change depending on the number of expected participants.

The wiki page says it's on Sunday, not Saturday. I have scheduled immediately after it. I think room for 110 people will be to big. :)

0x010C added a subscriber: 0x010C.May 15 2018, 9:03 PM
Physikerwelt closed this task as Resolved.May 20 2018, 1:43 PM
Physikerwelt updated the task description. (Show Details)